﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Basics.University
{
    class Student // egyetemi hallgató típusa
    {
        private String _Name;
        private String _UniversityCode;
        private List<Course> _Courses;

        public String Name { get { return _Name; } }
        public String UniversityCode { get { return _UniversityCode; } }

        public Student(String name)
        {
            _Name = name;
            _UniversityCode = String.Empty;
            _Courses = new List<Course>();

            _UniversityCode = Char.ToUpper(name[0]) + Char.ToUpper(name[1]) + Char.ToUpper(name[name.IndexOf(' ') + 1]) + "PAAT.ELTE"; // kód generálása a név alapján
        }

        public void SignForCourse(Course course)
        {
            if (course.AddStudent(this)) // nyílt rekurzió használata, az oktató átadja saját magáét paraméterben
                _Courses.Add(course);
        }
    }
}
